Bug 2670 - Doesn\'t build against the current directfb
: Doesn\'t build against the current directfb
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/SDL)
: unstable
: all Linux
: P5 blocker
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2003-06-17 00:40 by
Modified: 2005-08-30 12:33 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2003-06-17 00:40:39
Compilation fails with errors:

gcc -DPACKAGE=\\\"SDL\\\" -DVERSION=\\\"1.2.5\\\" -DHAVE_ALLOCA_H=1 -DHAVE_ALLOCA=1 -I.
-I. -pipe -Wall -O3 -fexpensive-optimizations -march=i686 -Wall -DENABLE_DUMMYVIDEO -DDISKAUD_SUPPORT -DUSE_ASMBLIT -I./hermes -I../../../src/hermes -DOSS_SUPPORT -DALSA_SUPPORT -DESD_SUPPORT -I/usr/X11R6/include -DENABLE_X11 -I./include -I./src/video -DXFREE86_VM -DXFREE86_VMGAMMA -DXFREE86_DGAMOUSE -DDEFAULT_DGAMOUSE -DXFREE86_XV -DHAVE_XINERAMA -Isrc/video -DENABLE_DGA -DENABLE_FBCON -DENABLE_DIRECTFB -DHAVE_OPENGL -DUSE_INPUT_EVENTS -D_REENTRANT -DSDL_USE_PTHREADS -DPTHREAD_NO_RECURSIVE_MUTEX -I../../../include -I../../../include/SDL -I../../../src -I../../../src/linux -I../../../src/main -I../../../src/audio -I../../../src/video -I../../../src/video/XFree86/extensions -I../../../src/events -I../../../src/joystick -I../../../src/cdrom -I../../../src/thread -I../../../src/timer -I../../../src/endian -I../../../src/file -D_REENTRANT -I/usr/include/directfb -c SDL_DirectFB_video.c  -fPIC -DPIC -o SDL_DirectFB_video.lo
SDL_DirectFB_video.c: In function `DirectFB_VideoInit\':
SDL_DirectFB_video.c:397: warning: passing arg 2 of pointer to function makes pointer from integer without a cast
SDL_DirectFB_video.c:397: too many arguments to function

---

---

------- Comment #1 From 2003-08-22 11:39:51 -------
fixed (1.2.5-alt2)
------- Comment #2 From 2003-08-22 11:39:51 -------
fixed (1.2.5-alt2)